<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:43 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>BaseJob (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="BaseJob (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":9,"i2":10,"i3":6,"i4":9,"i5":10,"i6":10,"i7":9,"i8":10,"i9":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/BaseJob.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../io/mosip/registration/jobs/JobManager.html" title="interface in io.mosip.registration.jobs"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?io/mosip/registration/jobs/BaseJob.html" target="_top">Frames</a></li>
<li><a href="BaseJob.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">io.mosip.registration.jobs</div>
<h2 title="Class BaseJob" class="title">Class BaseJob</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.springframework.scheduling.quartz.QuartzJobBean</li>
<li>
<ul class="inheritance">
<li>io.mosip.registration.jobs.BaseJob</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>org.quartz.Job</dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../io/mosip/registration/jobs/impl/DeleteAuditLogsJob.html" title="class in io.mosip.registration.jobs.impl">DeleteAuditLogsJob</a>, <a href="../../../../io/mosip/registration/jobs/impl/KeyPolicySyncJob.html" title="class in io.mosip.registration.jobs.impl">KeyPolicySyncJob</a>, <a href="../../../../io/mosip/registration/jobs/impl/MasterSyncJob.html" title="class in io.mosip.registration.jobs.impl">MasterSyncJob</a>, <a href="../../../../io/mosip/registration/jobs/impl/PacketSyncStatusJob.html" title="class in io.mosip.registration.jobs.impl">PacketSyncStatusJob</a>, <a href="../../../../io/mosip/registration/jobs/impl/PreRegistrationDataSyncJob.html" title="class in io.mosip.registration.jobs.impl">PreRegistrationDataSyncJob</a>, <a href="../../../../io/mosip/registration/jobs/impl/PreRegistrationPacketDeletionJob.html" title="class in io.mosip.registration.jobs.impl">PreRegistrationPacketDeletionJob</a>, <a href="../../../../io/mosip/registration/jobs/impl/RegistrationDeletionJob.html" title="class in io.mosip.registration.jobs.impl">RegistrationDeletionJob</a>, <a href="../../../../io/mosip/registration/jobs/impl/RegistrationPacketSyncJob.html" title="class in io.mosip.registration.jobs.impl">RegistrationPacketSyncJob</a>, <a href="../../../../io/mosip/registration/jobs/impl/RegistrationPacketVirusScanJob.html" title="class in io.mosip.registration.jobs.impl">RegistrationPacketVirusScanJob</a>, <a href="../../../../io/mosip/registration/jobs/impl/RegUserMappingSyncJob.html" title="class in io.mosip.registration.jobs.impl">RegUserMappingSyncJob</a>, <a href="../../../../io/mosip/registration/jobs/impl/SynchConfigDataJob.html" title="class in io.mosip.registration.jobs.impl">SynchConfigDataJob</a>, <a href="../../../../io/mosip/registration/jobs/impl/UserDetailServiceJob.html" title="class in io.mosip.registration.jobs.impl">UserDetailServiceJob</a></dd>
</dl>
<hr>
<br>
<pre>public abstract class <span class="typeNameLabel">BaseJob</span>
extends org.springframework.scheduling.quartz.QuartzJobBean</pre>
<div class="block">The class BaseJob was a quartzJobBean which gives the information of job and
 its functionalities</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.0.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>YASWANTH S</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected org.springframework.context.ApplicationContext</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/jobs/BaseJob.html#applicationContext">applicationContext</a></span></code>
<div class="block">Application context to get Bean</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/jobs/BaseJob.html#jobId">jobId</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../io/mosip/registration/jobs/JobManager.html" title="interface in io.mosip.registration.jobs">JobManager</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/jobs/BaseJob.html#jobManager">jobManager</a></span></code>
<div class="block">Autowires job manager for to get Job id functionality</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="../../../../io/mosip/registration/entity/SyncJobDef.html" title="class in io.mosip.registration.entity">SyncJobDef</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/jobs/BaseJob.html#jobMap">jobMap</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/jobs/BaseJob.html#responseDTO">responseDTO</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../io/mosip/registration/jobs/SyncManager.html" title="interface in io.mosip.registration.jobs">SyncManager</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/jobs/BaseJob.html#syncManager">syncManager</a></span></code>
<div class="block">The SncTransactionManagerImpl, which Have the functionalities to get the job
 and to create sync transaction</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/jobs/BaseJob.html#triggerPoint">triggerPoint</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/jobs/BaseJob.html#BaseJob--">BaseJob</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/jobs/BaseJob.html#addToCompletedJobMap-java.lang.String-java.lang.String-">addToCompletedJobMap</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;jobId,
                    <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;status)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/jobs/BaseJob.html#clearCompletedJobMap--">clearCompletedJobMap</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/jobs/BaseJob.html#executeChildJob-java.lang.String-java.util.Map-">executeChildJob</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;currentJobID,
               <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="../../../../io/mosip/registration/entity/SyncJobDef.html" title="class in io.mosip.registration.entity">SyncJobDef</a>&gt;&nbsp;jobMap)</code>
<div class="block">Job Execution process</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>abstract <a href="../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/jobs/BaseJob.html#executeJob-java.lang.String-java.lang.String-">executeJob</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;triggerPoint,
          <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;jobId)</code>
<div class="block">To execute the specified Job invocation</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/jobs/BaseJob.html#getCompletedJobMap--">getCompletedJobMap</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/jobs/BaseJob.html#jobClass--">jobClass</a></span>()</code>
<div class="block">To get current job class</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>protected <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/jobs/BaseJob.html#loadContext-org.quartz.JobExecutionContext-">loadContext</a></span>(org.quartz.JobExecutionContext&nbsp;context)</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/jobs/BaseJob.html#removeCompletedJobInMap-java.lang.String-">removeCompletedJobInMap</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;jobId)</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/jobs/BaseJob.html#setApplicationContext-org.springframework.context.ApplicationContext-">setApplicationContext</a></span>(org.springframework.context.ApplicationContext&nbsp;applicationContext)</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/jobs/BaseJob.html#syncTransactionUpdate-io.mosip.registration.dto.ResponseDTO-java.lang.String-java.lang.String-">syncTransactionUpdate</a></span>(<a href="../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a>&nbsp;responseDTO,
                     <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;triggerPoint,
                     <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;syncJobId)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.springframework.scheduling.quartz.QuartzJobBean">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.springframework.scheduling.quartz.QuartzJobBean</h3>
<code>execute, executeInternal</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="applicationContext">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>applicationContext</h4>
<pre>protected&nbsp;org.springframework.context.ApplicationContext applicationContext</pre>
<div class="block">Application context to get Bean</div>
</li>
</ul>
<a name="jobManager">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jobManager</h4>
<pre>@Autowired
protected&nbsp;<a href="../../../../io/mosip/registration/jobs/JobManager.html" title="interface in io.mosip.registration.jobs">JobManager</a> jobManager</pre>
<div class="block">Autowires job manager for to get Job id functionality</div>
</li>
</ul>
<a name="syncManager">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>syncManager</h4>
<pre>@Autowired
protected&nbsp;<a href="../../../../io/mosip/registration/jobs/SyncManager.html" title="interface in io.mosip.registration.jobs">SyncManager</a> syncManager</pre>
<div class="block">The SncTransactionManagerImpl, which Have the functionalities to get the job
 and to create sync transaction</div>
</li>
</ul>
<a name="jobId">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jobId</h4>
<pre>protected&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> jobId</pre>
</li>
</ul>
<a name="triggerPoint">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>triggerPoint</h4>
<pre>protected&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> triggerPoint</pre>
</li>
</ul>
<a name="responseDTO">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>responseDTO</h4>
<pre>protected&nbsp;<a href="../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a> responseDTO</pre>
</li>
</ul>
<a name="jobMap">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>jobMap</h4>
<pre>protected&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="../../../../io/mosip/registration/entity/SyncJobDef.html" title="class in io.mosip.registration.entity">SyncJobDef</a>&gt; jobMap</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="BaseJob--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>BaseJob</h4>
<pre>public&nbsp;BaseJob()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="jobClass--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jobClass</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&nbsp;jobClass()</pre>
<div class="block">To get current job class</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>class</dd>
</dl>
</li>
</ul>
<a name="executeJob-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>executeJob</h4>
<pre>public abstract&nbsp;<a href="../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a>&nbsp;executeJob(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;triggerPoint,
                                       <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;jobId)</pre>
<div class="block">To execute the specified Job invocation</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>triggerPoint</code> - the triggered person</dd>
<dd><code>jobId</code> - the job ID</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Response of execution</dd>
</dl>
</li>
</ul>
<a name="executeChildJob-java.lang.String-java.util.Map-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>executeChildJob</h4>
<pre>public&nbsp;void&nbsp;executeChildJob(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;currentJobID,
                            <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="../../../../io/mosip/registration/entity/SyncJobDef.html" title="class in io.mosip.registration.entity">SyncJobDef</a>&gt;&nbsp;jobMap)</pre>
<div class="block">Job Execution process</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>currentJobID</code> - current job executing</dd>
<dd><code>jobMap</code> - is a job's map</dd>
</dl>
</li>
</ul>
<a name="syncTransactionUpdate-io.mosip.registration.dto.ResponseDTO-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>syncTransactionUpdate</h4>
<pre>public&nbsp;<a href="../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a>&nbsp;syncTransactionUpdate(<a href="../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a>&nbsp;responseDTO,
                                         <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;triggerPoint,
                                         <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;syncJobId)</pre>
</li>
</ul>
<a name="loadContext-org.quartz.JobExecutionContext-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>loadContext</h4>
<pre>protected&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;loadContext(org.quartz.JobExecutionContext&nbsp;context)</pre>
</li>
</ul>
<a name="setApplicationContext-org.springframework.context.ApplicationContext-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setApplicationContext</h4>
<pre>public&nbsp;void&nbsp;setApplicationContext(org.springframework.context.ApplicationContext&nbsp;applicationContext)</pre>
</li>
</ul>
<a name="addToCompletedJobMap-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addToCompletedJobMap</h4>
<pre>public&nbsp;void&nbsp;addToCompletedJobMap(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;jobId,
                                 <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;status)</pre>
</li>
</ul>
<a name="getCompletedJobMap--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCompletedJobMap</h4>
<pre>public static&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getCompletedJobMap()</pre>
</li>
</ul>
<a name="clearCompletedJobMap--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clearCompletedJobMap</h4>
<pre>public static&nbsp;void&nbsp;clearCompletedJobMap()</pre>
</li>
</ul>
<a name="removeCompletedJobInMap-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>removeCompletedJobInMap</h4>
<pre>public static&nbsp;void&nbsp;removeCompletedJobInMap(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;jobId)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/BaseJob.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../io/mosip/registration/jobs/JobManager.html" title="interface in io.mosip.registration.jobs"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?io/mosip/registration/jobs/BaseJob.html" target="_top">Frames</a></li>
<li><a href="BaseJob.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
